From e4b60fdb6d5195e3a5cd8b4ea3ec33bc6f7a8880 Mon Sep 17 00:00:00 2001
From: Csaba Sipos <metro4@freemail.hu>
Date: Tue, 27 Oct 2020 18:58:52 +0100
Subject: [PATCH] Adds country specific settings for Hungary.

---
 src/nmt/countries.c | 8 ++++++++
 src/nmt/frame.c     | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/src/nmt/countries.c b/src/nmt/countries.c
index 29d00e4..e867648 100644
--- a/src/nmt/countries.c
+++ b/src/nmt/countries.c
@@ -87,6 +87,13 @@ static struct nmt_frequency frq_450_cz_sk[] = {
 	{   0,	0,	0.0,		0.0,	0.0,	0.0,	0 }
 };
 
+/* channel allocation used in Hungary */
+static struct nmt_frequency frq_450_hu[] = {
+	{   132,239,	467.370,	-0.020,	0.8,	10.0,	0 },
+	{   1,	132,	469.990,	-0.020,	0.8,	10.0,	0 },
+	{   0,	0,	0.0,		0.0,	0.0,	0.0,	0 }
+};
+
 /* channel allocation used in Turkey */
 static struct nmt_frequency frq_900_tr[] = {
 	{   1,	180,	461.500,	0.025,	1.0,	10.0,	0 },
@@ -142,6 +149,7 @@ static struct nmt_country {
 	{ 450, 1, 2, 1,9,	"B",	"Belgium",		"Belgacom Mobile",		frq_450_nl_l_b },
 	{ 450, 1, 7, 1,9,	"CZ",	"Czech Republic",	"Eurotel Prague",		frq_450_cz_sk },
 	{ 450, 1, 6, 1,9,	"SK",	"Slovakia",		"Eurotel Bratislava",		frq_450_cz_sk },
+	{ 450, 1, 6, 1,9,	"HU",	"Hungary",		"WESTEL 0660",			frq_450_hu },
 	/* 900 */
 	{ 900, 1, 1, 1,9,	"DK",	"Denmark",		"Tele Danmark Mobile",		frq_900_scandinavia },
 	{ 900, 1, 2, 1,9,	"SE",	"Sweden",		"Telia Mobitel",		frq_900_scandinavia },
diff --git a/src/nmt/frame.c b/src/nmt/frame.c
index ad03ae3..17aa03f 100644
--- a/src/nmt/frame.c
+++ b/src/nmt/frame.c
@@ -450,7 +450,7 @@ static const char *param_country(uint64_t value, int __attribute__((unused)) ndi
 	case 5:
 		return "Denmark";
 	case 6:
-		return "Sweden / Slovakia";
+		return "Sweden / Slovakia / Hungary";
 	case 7:
 		return "Norway / Czech";
 	case 8:
-- 
2.25.1

